Arch: Bara de armătură îndoită în U

From FreeCAD Documentation
Revision as of 07:14, 2 December 2018 by Luc (talk | contribs)

Arch Rebar UShape

Menu location
Arch → Rebar tools
Workbenches
Arch
Default shortcut
None
See also
LShape Rebar
 
This command is part of the Reinforcement AddOn, that you can install via menu Tools → Addons Manager

Descriere

Instrumentul UShape Rebar permite utilizatorului să creeze o armătură UShape reinforcing în elementul structural.

Cum se folosește

  1. Creați un element structure
  2. Selectați orice fațetă a structurii
  3. Apoi selectați butonul UShape Rebar dintre instrumentele penru armături/rebar tools
  4. Un task panel contextual va apărea în stânga ecranului după cum se vede în ecranul de mai jos
  5. Selectați orientarea dorită
  6. Dați datele inițiale cum ar fi capacul frontal, capacul lateral din dreapta, capacul din partea stângă, capacul inferior, capacul superior, factorul de rotunjire și diametrul barei
  7. Selectați modul de distribuție sau mărimea spațiului
  8. Dacă spațierea este selectată, un utilizator poate de asemenea să opteze pentru custom spacing
  9. Alegeți fața selectată care este utilizată pentru a verifica sau schimba fațeta pentru distribuția barei
  10. Click pe tasta OK sau Apply pentru a genera armături rebars
  11. Click pe tasta Cancel pentru a ieși din task panel

Proprietăți

  • DateOrientation: It decides the orientation of the rebar (like a bottom, top, right and left).
  • DateFront Cover: The distance between rebar and selected face.
  • DateRight Cover: The distance between the right end of the rebar to right face of the structure.
  • DateLeft Cover: The distance between the left end of the rebar to the left face of the structure.
  • DateBottom Cover: The distance between rebar from the bottom face of the structure.
  • DateTop Cover: The distance between rebar from the top face of the structure.
  • DateRounding: A rounding value to be applied to the corners of the bars, expressed in times the diameter.
  • DateAmount: The amount of rebars.
  • DateSpacing: The distance between the axes of each bar.

Scrip-Programare

Instrumentul UShape Rebar poate fi utilizat în macros și din consola Python prin utilizarea următoarea funcție:

makeUShapeRebar(FrontCover, BottomCover, RightCover, LeftCover, Diameter, Topcover, Rounding, AmountSpacingCheck, AmountSpacingValue, Orientation, Structure, Facename)
  • The UShape Rebar have four different orientations:
    • Bottom
    • Top
    • Right
    • Left
  • Adds a UShape reinforcing bar object to the given structural object.
  • If no Structure and Facename is given, it will take user selected face as input.
  • Returns the new Rebar object.

Exemplu: Crearea unei armături tip bară în U.

import Arch, UShapeRebar
structure = Arch.makeStructure(length=1000.0, width=1000.0, height=400.0)
structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()
rebar = UShapeRebar.makeUShapeRebar(20, 20, 20, 20, 8, 20, 4, True, 10, "Bottom", structure, "Face1")

Schimbarea proprietăților barei în U.

import UShapeRebar
UShapeRebar.editUShapeRebar(rebar, 25, 25, 25, 25, 16, 25, 2, True, 15, "Top")